package cn.com.qmth.scancentral.service;

import java.util.List;

import com.github.jeffreyning.mybatisplus.service.IMppService;

import cn.com.qmth.scancentral.bean.ImportSubjectDomain;
import cn.com.qmth.scancentral.bean.SubjectConfigDomain;
import cn.com.qmth.scancentral.bean.User;
import cn.com.qmth.scancentral.entity.SubjectEntity;
import cn.com.qmth.scancentral.vo.SubjectConfigVo;
import cn.com.qmth.scancentral.vo.examinfo.SubjectConfig;

public interface SubjectService extends IMppService<SubjectEntity> {

    List<SubjectEntity> listByExamId(Long examId);

    SubjectEntity findByExamIdAndCode(Long examId, String code);

    int countByExamId(Long examId);

    int importSubject(List<ImportSubjectDomain> subjects);

	int cleanByExamId(Long examId);

    SubjectConfigVo config(User user, SubjectConfigDomain domain);
    
    List<SubjectConfig> listConfigByExamId(Long examId);

}
