package cn.com.qmth.scancentral.service;

import java.util.List;

import cn.com.qmth.scancentral.vo.UserVo;
import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.qmth.scancentral.bean.ImportUserDomain;
import cn.com.qmth.scancentral.entity.UserEntity;
import cn.com.qmth.scancentral.enums.Role;
import cn.com.qmth.scancentral.vo.AuditorVo;
import cn.com.qmth.scancentral.vo.CreateCountVo;
import cn.com.qmth.scancentral.vo.UpdateCountVo;

public interface UserService extends IService<UserEntity> {

    UserEntity getByLoginName(String loginName);

    int importUser(List<ImportUserDomain> users);

    List<UserEntity> findByRole(Long schoolId,Role... role);

    List<AuditorVo> findAuditor(Long schoolId);

    UpdateCountVo updatePassword(List<Long> ids, String password);

    CreateCountVo create(Long schoolId, String prefix, Integer count, String password);

    int countByRole(Long schoolId, Role role);

    List<UserVo> findAdmin(Long schoolId);

}
