package cn.com.qmth.scancentral.vo;

import cn.com.qmth.scancentral.bean.User;
import cn.com.qmth.scancentral.enums.Role;

public class ScannerLoginVo {

    private String sessionId;

    private String accessToken;

    private Role role;

	public String getSessionId() {
		return sessionId;
	}

	public void setSessionId(String sessionId) {
		this.sessionId = sessionId;
	}

	public String getAccessToken() {
		return accessToken;
	}

	public void setAccessToken(String accessToken) {
		this.accessToken = accessToken;
	}

	public Role getRole() {
		return role;
	}

	public void setRole(Role role) {
		this.role = role;
	}
    
    public static ScannerLoginVo of(User user) {
    	ScannerLoginVo v=new ScannerLoginVo();
    	v.setAccessToken(user.getAccessToken());
    	v.setRole(user.getRole());
    	v.setSessionId(user.getSessionId());
    	return v;
    }
}
